%define name rpmproc
%define version 1.10
%define release 2rph

Name:		%{name}
Summary:	Perl script to help manage and build RPM packages
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Other
URL:		http://www.freezer-burn.org/scripts/rpmproc.php
Source:		%{name}-%{version}.tar.bz2
Requires:	perl-Mail-Sendmail, rpm, perl-Net-SCP, perl-Net-SSH
Requires:	perl-String-ShellQuote
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
rpmproc is a simple Perl program to help manage and build RPM packages for
those who want an easy wrapper to build RPMs.  rpmproc supports announcing
changelogs to a mailing list using either qmail or sendmail, signing RPMs,
uploading to a user-defined "contribs" site as well as uploading to a local
directory (ie. for systems that also make their RPMs available via FTP).


%prep -q
%setup

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_sysconfdir}}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/rpmproc %{buildroot}%{_bindir}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/rpmproc.conf %{buildroot}%{_sysconfdir}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc README COPYING CHANGELOG
%{_bindir}/rpmproc
%config(noreplace) %{_sysconfdir}/rpmproc.conf


%changelog
* Mon Apr 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.10-2rph
- rebuild with rph extension

* Sun Nov 25 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.10-1mdk
- 1.1.0

* Sun Sep  9 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.9-1mdk
- 1.9
- added dependencies: perl-Net-SCP, perl-Net-SSH, perl-String-ShellQuote

* Mon May  7 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.8-1mdk
- 1.8

* Wed Oct 11 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.7-2mdk
- fixed rpmproc.conf to indicate how to send to multiple email recipients

* Mon Oct  9 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.7-1mdk
- 1.7

* Sun Aug  6 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.6-1mdk
- 1.6

* Sun Jul 30 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.5-1mdk
- 1.5
- macroization

* Sat Jun 17 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.4-1mdk
- 1.4

* Sat Jun 10 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.3-1mdk
- 1.3

* Wed Mar 10 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2-2mdk
- fixed error in %clean

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2-1mdk
- first public release
